## ros-jazzy-flexbe-widget 3.0.3

=== debian/changelog ===
ros-jazzy-flexbe-widget (3.0.3-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 05 Jun 2024 16:00:00 -0000

ros-jazzy-flexbe-widget (3.0.2-2bookworm) bookworm; urgency=high

  * flake8/pycodestyle cleanup

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 03 Jun 2024 16:00:00 -0000

ros-jazzy-flexbe-widget (3.0.1-2bookworm) bookworm; urgency=high

  * add argument to allow auto launching behavior based on initial heartbeat message (instead of READY signal published every 10 seconds)
  * use onboard heartbeat to trigger launcher; clean up tabs in subscriber state; tweak UI message

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 30 May 2024 16:00:00 -0000

ros-jazzy-flexbe-widget (3.0.0-2bookworm) bookworm; urgency=high

  * update with state map and changes to concurrent handling
  * allow removing action clients and service callers
  * flake 8 cleanup
  * fix CONSTANT style across flexbe_behavior_engine
  * use SingleThreadedExecutor

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 30 Apr 2024 16:00:00 -0000

ros-jazzy-flexbe-widget (2.3.4-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 30 Apr 2024 16:00:00 -0000

ros-jazzy-flexbe-widget (2.3.3-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 08 Aug 2023 16:00:00 -0000

ros-jazzy-flexbe-widget (2.3.2-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 31 Jul 2023 16:00:00 -0000

ros-jazzy-flexbe-widget (2.3.1-2bookworm) bookworm; urgency=high

  * add non-interactive mode to create_repo for CI
  * update create_repo script for new ros2-devel release of https://github.com/FlexBE/flexbe_project_behaviors
  * merge from ros2-devel to reduce spam and missing package handling

 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 30 Jul 2023 16:00:00 -0000

ros-jazzy-flexbe-widget (2.3.0-2bookworm) bookworm; urgency=high

  * update CMakeLists cmake_minimum_version
  * Updates to dependencies for ROS build farm
  * remove rclpy from CMakeLists.txt
  * remove unnecessary rclcpp depends
  * include package name in behavior request (requires flexbe_app 3.1+) to allow duplicate behavior names in packages

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 19 Jul 2023 16:00:00 -0000

ros-jazzy-flexbe-widget (2.2.0-2bookworm) bookworm; urgency=high

  * Initiate start up launch in thread safe manner with future (prevent deadlock)
  * Add periodic heartbeat message for number of seconds as Int32
  * Modify to used behavior_id (checksum) and behavior_key consistently
  * package updates; pylint, flake8, and pep257 cleanup

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 28 Jun 2023 16:00:00 -0000

ros-jazzy-flexbe-widget (2.1.0-2bookworm) bookworm; urgency=high

  * ROS 2 Humble release
  * Modify launcher scripts
  * BehaviorLauncher is-a Node
  * Update script_dir in setup.cfg
  * Tested under Ubuntu 22.04 and ROS Humble

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 01 Aug 2022 16:00:00 -0000

ros-jazzy-flexbe-widget (2.0.0-2bookworm) bookworm; urgency=high

  * Initial ROS 2 "foxy" release based on ROS 1 commit a343c657
  * Includes changes to concurrent state and sleep handling

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 21 Feb 2022 16:00:00 -0000

ros-jazzy-flexbe-widget (1.3.1-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 10 Dec 2020 16:00:00 -0000

ros-jazzy-flexbe-widget (1.3.0-2bookworm) bookworm; urgency=high

  * [flexbe_core] [flexbe_widget] Correctly handle non-existing behaviors in action goals
    (fix #133 <https://github.com/team-vigir/flexbe_behavior_engine/issues/133>)
  * [flexbe_core] [flexbe_testing] [flexbe_widget] Use yaml backwards compatible
  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_widget] Accept more valid status codes by launcher
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 18 Nov 2020 16:00:00 -0000

ros-jazzy-flexbe-widget (1.2.5-2bookworm) bookworm; urgency=high

  * Merge pull request #120 <https://github.com/team-vigir/flexbe_behavior_engine/issues/120> from cheffe112/startup_race_condition
    wait for READY status from Behavior Engine before launching behavior to avoid race conditions on startup
  * avoid callback trigger before ready event has been created
  * Merge pull request #113 <https://github.com/team-vigir/flexbe_behavior_engine/issues/113> from team-vigir/feature/state_logger_rework
    State Logger Rework
  * Merge branch 'develop' into feature/state_logger_rework
  * wait for READY status from Behavior Engine before launching behavior
    Whenever behavior_onboard and be_launcher are launched together, there used to be a race condition of publishing the behavior in behavior_launcher, but the subscriber in behavior_onboard not being ready yet. Hence, behavior_launcher now waits for the READY status to appear on the flexbe/status topic before it actually attempts to launch the behavior.
  * [flexbe_widget] Update evaluate_logs script to new format
  * Merge pull request #118 <https://github.com/team-vigir/flexbe_behavior_engine/issues/118> from StefanFabian/action_server_callback_based
    Using event based action server instead of control loop.
  * Improved preempt logic.
  * Only accept goal if ActionServer is not active.
  * Handle errors before behavior start.
  * Using event based action server instead of control loop.
    Waiting for terminal state of flexbe before setting goal to a terminal state and accepting a new one.
  * Contributors: Philipp Schillinger, Stefan Fabian, Tobias Doernbach

 -- Philipp Schillinger <philsplus@gmail.com>  Sat, 13 Jun 2020 16:00:00 -0000


