=== debian/control ===
Source: ros-jazzy-flexbe-widget
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <philsplus@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-python, ros-jazzy-ament-copyright <!nocheck>, ros-jazzy-ament-flake8 <!nocheck>, ros-jazzy-ament-pep257 <!nocheck>, ros-jazzy-flexbe-core, ros-jazzy-flexbe-mirror, ros-jazzy-flexbe-msgs, ros-jazzy-flexbe-onboard, ros-jazzy-launch-ros, ros-jazzy-rclpy, ros-jazzy-ros-workspace
Homepage: http://ros.org/wiki/flexbe_core
Standards-Version: 3.9.2

Package: ros-jazzy-flexbe-widget
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-flexbe-core, ros-jazzy-flexbe-mirror, ros-jazzy-flexbe-msgs, ros-jazzy-flexbe-onboard, ros-jazzy-launch-ros, ros-jazzy-rclpy, ros-jazzy-ros-workspace
Description: flexbe_widget implements some smaller scripts for the behavior engine.
